
package shub.dpm;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class b4xcollections implements IRemote{
	public static b4xcollections mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public b4xcollections() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
     private static PCBA pcBA = new PCBA(null, b4xcollections.class);
    static {
		mostCurrent = new b4xcollections();
        remoteMe = RemoteObject.declareNull("shub.dpm.b4xcollections");
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("b4xcollections"), "shub.dpm.b4xcollections");
        RDebug.INSTANCE.eventTargets.put(new DeviceClass("shub.dpm.b4xcollections"), new java.lang.ref.WeakReference<PCBA> (pcBA));
	}
   
	public static RemoteObject runMethod(boolean notUsed, String method, Object... args) throws Exception{
		return (RemoteObject) pcBA.raiseEvent(method.substring(1), args);
	}
    public static void runVoidMethod(String method, Object... args) throws Exception{
		runMethod(false, method, args);
	}
	public PCBA create(Object[] args) throws ClassNotFoundException{
        throw new RuntimeException("CREATE is not supported.");
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static shub.dpm.main _main = null;
public static shub.dpm.parameter _parameter = null;
public static shub.dpm.about _about = null;
public static shub.dpm.barcodescanner _barcodescanner = null;
public static shub.dpm.allgfnkt _allgfnkt = null;
public static shub.dpm.listpat _listpat = null;
public static shub.dpm.endecodetester _endecodetester = null;
public static shub.dpm.jobservice _jobservice = null;
public static shub.dpm.listdata _listdata = null;
public static shub.dpm.starter _starter = null;
public static shub.dpm.b4xpages _b4xpages = null;
public static shub.dpm.httputils2service _httputils2service = null;
  public Object[] GetGlobals() {
		return new Object[] {"About",Debug.moduleToString(shub.dpm.about.class),"AllgFnkt",Debug.moduleToString(shub.dpm.allgfnkt.class),"B4XPages",Debug.moduleToString(shub.dpm.b4xpages.class),"BarcodeScanner",Debug.moduleToString(shub.dpm.barcodescanner.class),"EnDecodeTester",Debug.moduleToString(shub.dpm.endecodetester.class),"HttpUtils2Service",Debug.moduleToString(shub.dpm.httputils2service.class),"JobService",Debug.moduleToString(shub.dpm.jobservice.class),"ListData",Debug.moduleToString(shub.dpm.listdata.class),"ListPat",Debug.moduleToString(shub.dpm.listpat.class),"Main",Debug.moduleToString(shub.dpm.main.class),"Parameter",Debug.moduleToString(shub.dpm.parameter.class),"Starter",Debug.moduleToString(shub.dpm.starter.class)};
}
}